Bug 19541 - RFE: Handle files modified by upgrade which are marked immutable
RFE: Handle files modified by upgrade which are marked immutable
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-10-22 05:38 EDT by lj herman
Modified: 2007-04-18 12:29 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-13 23:13:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description lj herman 2000-10-22 05:38:28 EDT
dump from anaconda on install .....

My system is down .... I am going to try to install LILO by hand ..

Please let me know when this might be fixed or how to proceed


Traceback (innermost last):
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/iw/progress_gui.py", 
line 20, in run
    rc = self.todo.doInstall ()
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 1732, in 
doInstall
    self.upgrade)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/lilo.py", line 247, in 
install
    instRoot + '/etc/lilo.conf.rpmsave')
OSError: [Errno 1] Operation not permitted

Local variables in innermost frame:
self: <lilo.LiloConfiguration instance at 842ef88>
fstab: <fstab.GuiFstab instance at 8491b50>
lilo: #
#Bastille note: this file is normally installed with
#the ext2 "immutable" bit set to prevent editing.
#If you need to edit it, use "chattr" to unset the
#immutable bit first, then re-set the bit once you
#are done.
boot=/dev/hda
map=/boot/map
install=/boot/boot.b
prompt
timeout=50
default=linux

image=/boot/vmlinuz-2.2.12-20
	label=linux
	initrd=/boot/initrd-2.2.12-20.img
	read-only
	root=/dev/hda1

perms: 384
upgrade: 1
hdList: <comps.HeaderListFromFile instance at 8482768>
instRoot: /mnt/sysimage

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iimage
CdromInstallMethod
p4
(dp5
S'progressWindow'
p6

<failed>
Comment 1 Alan Cox 2000-10-27 12:33:15 EDT
Anaconda does not handle people who mark lilo.conf immutable. Interesting one. I
agree we should try and handle it
Comment 2 Michael Fulbright 2000-10-30 14:19:59 EST
I will make this an enhancement request.

If you have a registration number for your product then Red Hat technical
support should be able to help you get your system booting again.

Note You need to log in before you can comment on or make changes to this bug.